<?php
/**
 * Magic CMS 技术支持
 * ============================================================================
 * Copyright 2014 大秦科技，并保留所有权利。
 * 网站地址: http://www.qintech.net；
 * ----------------------------------------------------------------------------
 * 未获商业授权之前，不得将Magic CMS用于商业用途（包括但不限于企业网站、经营性网站
 * 以营利为目的或实现盈利的网站）未经官方许可，禁止在Magic CMS的整体或任何部分基础
 * 上以发展任何派生版本、修改版本或第三方版本用于重新分发。如果您未能遵守本协议的
 * 条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。
 * ============================================================================
 * Date:2014/12/31
 **/
class IndexModule extends commonModule{

	public function index(){
		$list = M('node')->where('menu!=0')->order('sorter ASC')->all();
		$list = Data::tree($list,'title','nid');
		$this->assign('list', $list);
		$this->display();
	}

	public function edit(){
			$nid = Q('get.nid');

			$list = M('node')->where('menu!=0')->all();
			$list = Data::tree($list,'title','nid');

			if(!empty($nid)) {
				$menu = M('node')->where('nid='.$nid)->find();
			}
			$this->assign('list', $list);
			$this->assign('menu', $menu);
			$this->display();
		}

	public function save(){
		if(IS_POST){
			$data = $_POST;

			$db   = M('node');

			$db->validate = array(
					array('title', 'nonull', '请输入菜单名称',2,3),
				);

			if (!$db->create($data)){$this->error($db->error);}

			$result = $db->replace($data);

			if ($result){
				$this->success('保存成功','?r=menu');
			}else{
				$this->error('保存失败');
			}
		}else{
			$this->error('非法请求');
		}
	}

	public function del(){
		$nid     = Q('get.nid');
		if (empty($nid)){$this->error('参数错误');}

		$check = M('node')->where("pid=$nid")->find();
		if ($check) {
			$this->error('该菜单下存在子菜单，请先删除子菜单','?r=menu');
		}

		$result = M('node')->del($nid);

		if ($result){
			$this->success('删除成功','?r=menu');
		}else{
			$this->error('删除失败','?r=menu');
		}
	}
}